;/*************************************************************************/
;/*                                                                       */
;/*                Institut fr Maschinelle Sprachverarbeitung            */
;/*                     University of Stuttgart, Germany                  */
;/*                         Copyright (c) 1998                            */
;/*                        All Rights Reserved.                           */
;/*                                                                       */
;/*  Permission to use, copy, modify, distribute this software and its    */
;/*  documentation for research, educational and individual use only, is  */
;/*  hereby granted without fee, subject to the following conditions:     */
;/*   1. The code must retain the above copyright notice, this list of    */
;/*      conditions and the following disclaimer.                         */
;/*   2. Any modifications must be clearly marked as such.                */
;/*   3. Original authors' names are not deleted.                         */
;/*   4. It may not be redistributed in a modified version or within      */
;/*      another distribution                                             */
;/*  This software may not be used for commercial purposes without        */
;/*  specific prior written permission from the authors.                  */
;/*                                                                       */
;/*  THE UNIVERSITY OF STUTTGART AND THE CONTRIBUTORS TO THIS WORK        */
;/*  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      */
;/*  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   */
;/*  SHALL THE UNIVERSITY OF STUTTGART NOR THE CONTRIBUTORS BE LIABLE     */
;/*  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    */
;/*  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   */
;/*  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          */
;/*  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       */
;/*  THIS SOFTWARE.                                                       */
;/*                                                                       */
;/*************************************************************************/
;/*             Author : Gregor Mhler (moehler@ims.uni-stuttgart.de)     */
;/*             Date   : last modified 1/30/98                            */
;/*-----------------------------------------------------------------------*/
;/*                                                                       */
;/* The LTS pronunciation rules for German are set.                       */
;/*                                                                       */
;/*=======================================================================*/


(lts.ruleset
 german
;;;  Sets
(
 (V  a e i o u)
 (Vb a o u )
 (C  b c d f g h j k l m n p q r s t v w x z)
 (Cu p t k f s )         ;; sch st sp ch: also in this group 
 (Cx b c d f g k p t)    ;; ph th also in this group
 (Cy b c f g k l m n q v w z )    ;; ph also in this group
 (Cz b c d f g j k l m n p q r t v w z)
 (RL r l)
 (NL n l)
)
;; The rule set
(
 (   [ a u h ] = aU )    ;; R001: au(h) 
 (   [ a u ] = aU )     
 (   [ a i ] = aI )      ;; R003: ai oder ay
 (   [ a y ] = aI )      ;; R004: ''au
 (   [  u ] = OY )      
 (   [  ] # = E: )      ;; R013: ''a am Wortende   
 (   [   h ]  = E: )   
 (   [   ]  = E: )     
 (   [  h ]  = E: )     
 (   [  ] Cx RL = E: )  ;; R016: ''a vor einer Buchstabenfolge ??  
 (   [  ] p h RL = E: )  
 (   [  ] t h RL = E: )  
 (   [  ] q u = E: )  
 (   [  ] C C + = E )  
 (   [  ] = E: )      ;; R014: ''a vor einem Konsonant
 (   [  u ] = OY )      
 (   [  ] # = E: )      ;; R013: ''a am Wortende   
 (   [   h ]  = E: )   
 (   [   ]  = E: )     
 (   [  h ]  = E: )     
 (   [  ] Cx RL = E: )  ;; R016: ''a vor einer Buchstabenfolge ??  
 (   [  ] p h RL = E: )  
 (   [  ] t h RL = E: )  
 (   [  ] q u = E: )  
 (   [  ] C C + = E )  
 (   [  ] = E: )      ;; R014: ''a vor einem Konsonant
 (   [ a e u ] = OY )      
 (   [ a e ] # = E: )    ;; R013: ''a am Wortende   
 (   [ a e a e h ]  = E: )   
 (   [ a e a e ]  = E: )     
 (   [ a e h ]  = E: )     
 (   [ a e ] Cx RL = E: );; R016: ''a vor einer Buchstabenfolge ??  
 (   [ a e ] p h RL = E: )  
 (   [ a e ] t h RL = E: )  
 (   [ a e ] q u = E: )  
 (   [ a e ] C C + = E )  
 (   [ a e ] = E: )    ;; R014: ''a vor einem Konsonant
 ( # C * [ a ] # = a: )  ;; R006: a am Wortende (1 Silbe)
 (   [ a ] # = a )       ;; R006: a am Wortende (mehr Silben)
 (   [ a a h ] = a: )    ;; R009: aah aa ah...
 (   [ a a ] = a: )    
 (   [ a h ] C = a: )    ;; R008: ah
 (   [ a ] Cx RL = a: )  ;; R005: a vor einer Buchstabenfolge
 (   [ a ] p h RL = a: ) 
 (   [ a ] t h RL = a: ) 
 (   [ a ] q u = a: )    
 (   [ a ] t s c h = a: );; R007: a in der Folge atsch
 (   [ a ] C C + = a )   ;; R012: a vor mehreren Konsonanten 
 (   [ a ] = a: )      ;; R011: a vor Vokal ausser Diphtong   
 ( # [ b ] = b )         ;; R018/019: b am Wortanfang
 (   [ b ] # = p )       ;; R024: b/bb am Wortende
 (   [ b b ] # = p )    
 (   [ b ] V = b )       ;; R020: b vor Vokal
 (   [ b b ] V = b )     ;; R(021)022:  bb vor Vokal  
 (   [ b ] b a r = p )   ;; R025: b vor einem Suffix   
 (   [ b ] c h e n = p )      
 (   [ b ] h a f t = p )      
 (   [ b ] h e i t = p )      
 (   [ b ] l e i n = p )      
 (   [ b ] l i n g = p )      
 (   [ b ] l i n g s  = p )      
 (   [ b ] l o s = p )      
 (   [ b ] n i s = p )      
 (   [ b ] s a l = p )      
 (   [ b ] s a m = p )      
 (   [ b ] s c h a f t = p )      
 (   [ b ] s e l = p )      
 (   [ b ] t u m = p )      
 (   [ b ] w  r t s = p )      
 (   [ b ] w a e r t s = p )      
 (   [ b b ] b a r = p )   ;; R025: bb vor einem Suffix   
 (   [ b b ] c h e n = p )      
 (   [ b b ] h a f t = p )      
 (   [ b b ] h e i t = p )      
 (   [ b b ] l e i n = p )      
 (   [ b b ] l i n g = p )      
 (   [ b b ] l i n g s  = p )      
 (   [ b b ] l o s = p )      
 (   [ b b ] n i s = p )      
 (   [ b b ] s a l = p )      
 (   [ b b ] s a m = p )      
 (   [ b b ] s c h a f t = p )      
 (   [ b b ] s e l = p )      
 (   [ b b ] t u m = p )      
 (   [ b b ] w  r t s = p )      
 (   [ b b ] w a e r t s = p )      
 (   [ b ] NL = b )      ;; R023: b/bb vor n oder l
 (   [ b b  ] NL = b )   
 (   [ b b ] = p )       ;; sonstige bb's
 (   [ b ] = p )         ;; R026: sonstige b's im Wortinneren
 ( Vb [ c h ] = x )      ;; R027a: ch 
 (   [ c h ] = C )       ;; R027b: ch
 (   [ c k ] = k )       ;; R028/29: Vokal ck Vokal 
 (   [ c ] = k )         ;; R030: sonst

 ( # [ d ]    = d )      ;; R031/032: d am Wortanfang
 (   [ d ] # = t )       ;; R037: d/dd am Wortende
 (   [ d d ] # = t )     ;; R037: d/dd am Wortende
 (   [ d s ] # = t s )   ;; R041: ds oder dds am Wortende  
 (   [ d d s ] # = t s )   
 (   [ d ] V  = d )      ;; R033: d vor Vokal
 (   [ d d ] V  = d )    ;; R034/035: dd vor Vokal
 (   [ d ] b a r = t )   ;; R039: d vor einem Suffix   
 (   [ d ] c h e n = t )      
 (   [ d ] h a f t = t )      
 (   [ d ] h e i t = t )      
 (   [ d ] l e i n = t )      
 (   [ d ] l i n g = t )      
 (   [ d ] l i n g s  = t )      
 (   [ d ] l o s = t )      
 (   [ d ] n i s = t )      
 (   [ d ] s a l = t )      
 (   [ d ] s a m = t )      
 (   [ d ] s c h a f t = t )      
 (   [ d ] s e l = t )      
 (   [ d ] t u m = t )      
 (   [ d ] w  r t s = t )      
 (   [ d ] w a e r t s = t )      
 (   [ d d ] b a r = t )   ;; R039: dd vor einem Suffix   
 (   [ d d ] c h e n = t )      
 (   [ d d ] h a f t = t )      
 (   [ d d ] h e i t = t )      
 (   [ d d ] l e i n = t )      
 (   [ d d ] l i n g = t )      
 (   [ d d ] l i n g s  = t )      
 (   [ d d ] l o s = t )      
 (   [ d d ] n i s = t )      
 (   [ d d ] s a l = t )      
 (   [ d d ] s a m = t )      
 (   [ d d ] s c h a f t = t )      
 (   [ d d ] s e l = t )      
 (   [ d d ] t u m = t )      
 (   [ d d ] w  r t s = t )      
 (   [ d d ] w a e r t s = t )      
 (   [ d s ] t = t s )    ;; R042: ds oder dds vor t
 (   [ d d s ] t = t s )  
 (   [ d ] NL = d )       ;; R036: d vor n oder l
 (   [ d d ] NL = d )  
 (   [ d t ] = t )        ;; R038: dt   
 (   [ d d ] = t )        ;; sonstige dd's
 (   [ d ] = t )          ;; R040: sonstige d's im Wortinneren 
 ( # C * [ e e ] # = e: )       ;;R0044: e am Wortende  
 (   [ e ] # = @ )
 ( # C * [ e r ] # = e: R )   ;; R046: er am Wortende  
 (   [ e r ] # = 6  )
; (   [ e r ] C = 6  )         ;; er vor Konsonant (besser nicht wegen 'kern') 
 (   [ e l ] # = @ l   )      ;; R047: el am Wortende
 ( # C * [ e n ] # = e: n )   ;; R048: en am Wortende
 (   [ e n ] # = @ n )  
 ( # C * [ e m ] # = e: m )   ;; R049: em am Wortende
 (   [ e m ] # = @ m )  
 ( # C * [ e s ] # = E  s )   ;; R050: es am Wortende
 (   [ e s ] # = @ s )  
 (   [ e a u ] # = o: )   ;; R054: eau am Wortende     
 (   [ e i h ] = aI )     ;; R055: eih    
 (   [ e i ] = aI )       ;; R055: ei     
 (   [ e y ] = aI )       ;; R056: ey    
 (   [ e u ] = OY )       ;; R057: eu     
 (   [ e e h ] = e: )  
 (   [ e e ] = e: )       ;; R043: ee   
 (   [ e h ] C = e: )     ;; R052: eh
 (   [ e ] Cx RL = @ )    ;; R045: e vor einer Buchstabenfolge 
 (   [ e ] p h RL = @ )  
 (   [ e ] t h RL = @ )  
 (   [ e ] q u = @ )  
 (   [ e ] C C + = E )    ;; R053: e vor mehreren Konsonanten
 (   [ e ] C = e: )       ;; R051: e vor einem Konsonant 
 (   [ e ] = @ )          ;; R058: e vor Vokal ausser Diphtong  
 (   [ f f ] = f )        ;; R060: f oder ff     
 (   [ f ] = f )        
 (   [ g ] # = k )        ;; R063: g am Wortende 
 (   [ g ] b a r = k )    ;; R064: g vor einem Suffix   
 (   [ g ] c h e n = k )      
 (   [ g ] h a f t = k )      
 (   [ g ] h e i t = k )      
 (   [ g ] l e i n = k )      
 (   [ g ] l i n g = k )      
 (   [ g ] l i n g s  = k )      
 (   [ g ] l o s = k )      
 (   [ g ] n i s = k )      
 (   [ g ] s a l = k )      
 (   [ g ] s a m = k )      
 (   [ g ] s c h a f t = k )      
 (   [ g ] s e l = k )      
 (   [ g ] t u m = k )      
 (   [ g ] w  r t s = k )      
 (   [ g ] w a e r t s = k )      
 (   [ g g ] b a r = k )  ;; R064: gg vor einem Suffix   
 (   [ g g ] c h e n = k )      
 (   [ g g ] h a f t = k )      
 (   [ g g ] h e i t = k )      
 (   [ g g ] l e i n = k )      
 (   [ g g ] l i n g = k )      
 (   [ g g ] l i n g s  = k )      
 (   [ g g ] l o s = k )      
 (   [ g g ] n i s = k )      
 (   [ g g ] s a l = k )      
 (   [ g g ] s a m = k )      
 (   [ g g ] s c h a f t = k )      
 (   [ g g ] s e l = k )      
 (   [ g g ] t u m = k )      
 (   [ g g ] w  r t s = k )      
 (   [ g g ] w a e r t s = k )      
 (   [ g ] Cu = k )       ;; R061/062 g vor stimml. Kons. und d 
 (   [ g g ] Cu = k )  
 (   [ g ] s c h = k )   
 (   [ g ] s t = k )   
 (   [ g ] s p = k )   
 (   [ g ] c h = k )   
 (   [ g ] d = k )   
 (   [ g g ] d = k )  
 ( # [ g ] = g )          ;; R066: g am Wortanfang  
 ( V [ g g ] V = g )      ;; R067: Vokal gg Vokal     
 (   [ g g ] V = g )  
 (   [ g ] V = g )        ;; R068:g im Wortinneren vor Vok, n, l  
 (   [ g g ] NL = g )  
 (   [ g ] NL = g )  
 (   [ g g ] = g )        ;; g/gg sonst     
 (   [ g ] = g )    
 ( # [ h ] = h )          ;; R073/074: h am Wortanfang 
 (   [ h ] a f t = h )    ;; R077: h im Suffix      
 (   [ h ] e i t = h )   
 (   [ h ] a f t i g = h )   
 (   [ h ] a f t i g k e i t = h )   
 (   [ h ] a n g = h )   
 ( e r [ h ] V =  h )     ;; weil die syllabifizierung (noch) nicht funktioniert
 ( e l [ h ] V =  h )    
 ( g e [ h ]  =  h )    
 ( z u [ h ]  =  h )    
 ( a n [ h ]  =  h )    
 ( a b [ h ]  =  h )    
 ( h i n [ h ]  =  h )    
 ( v e r [ h ]  =  h )    
 (   [ h ] =  )           ;; R076: sonst ist h stumm
 ( # C * [ i ] # = i: )       ;; R080: i am Wortende     
 (   [ i ] # = I )       
 ( t [ i o n ] # = s j o: n)
 (   [ i e n ] # = i: @ n  )       ;; z. B Ferien, Galaxienkonzentration   
 (   [ i e h ] = i: )    
 (   [ i e ] = i: )       ;; R078: ie    
 (   [ i i ] = i: )    
 (   [ i h ] = i: )       ;; R079: ih    
 ( # [ i g ]  = I g )     ;; R071: ig am Wortanfang 
 (   [ i g ] # = I C )    ;; R069: ig am Wortende     
 (   [ i g ] l i c h = I k )  ;; R070: ig vor dem Suffix -lich
; (   [ i g ] C = I C )    ;;  R072: ig sonst     
 (   [ i ] Cx RL = I )    ;; R081: i vor einer Buchstabenfolge 
 (   [ i ] p h RL = I )  
 (   [ i ] t h RL = I )  
 (   [ i ] q u = I )  
 (   [ i ] C C + = I )   ;; R082: i vor mehreren Konsonanten      
 (   [ i ] = i: )         ;; R083: i vor Vokal ausser Diphtong      
 (   [ j j ] = j )        ;; R084: j oder jj         
 (   [ j ] = j )         
 (   [ k k ] V = k )      ;; R085: kk Vokal       
 (   [ k q u ] = kv )     ;; R087: kqu     
 (   [ k ] = k )           ;; R086: kk Vokal 
 (   [ l l ]  = l ) 
 (   [ l ]  = l )         ;; R089: l oder ll !! skip R088
 (   [ m m ]  = m ) 
 (   [ m ]  = m )         ;; R091: m oder mm !! skip R090
 ( a i [ n g ] = n g )       ;; no eunge, etc...
 ( a y [ n g ] = n g )       ;; no eunge, etc...
 ( e i [ n g ] = n g )       ;; no eunge, etc...
 ( e y [ n g ] = n g )       ;; no eunge, etc...
 ( a u [ n g ] = n g )       ;; no eunge, etc...
 ( a i [ n k ] = n k )       ;; no eunke, etc...
 ( a y [ n k ] = n k )       ;; no eunke, etc...
 ( e i [ n k ] = n k )       ;; no eunke, etc...
 ( e y [ n k ] = n k )       ;; no eunke, etc...
 ( a u [ n k ] = n k )       ;; no eunke, etc...
 (   [ n g ] = N )        ;; R094: n vor g  
 (   [ n k ] = N k )       ;; R095: n vor k        
 (   [ n n ]  = n ) 
 (   [ n ]  = n )         ;; R093: n oder nn !! skip R092
 (   [ o i ] = OY )       ;; R101: oi oder oy    
 (   [ o y ] = OY )
 (   [  ] # = 2: )     ;; R096: oe am Wortende   
 (   [   h ] = 2: )     ;; oeh
 (   [   ] = 2: )     ;; oeh
 (   [  h ] = 2: )     ;; oeh
 (   [  ] Cx RL = 9 )  ;; R097: oe vor einer Buchstabenfolge 
 (   [  ] p h RL = 9 )  
 (   [  ] t h RL = 9 )  
 (   [  ] q u = 9 )  
 (   [  ] C C + = 9 )  ;; R098: vor mehreren Konsonanten     
 (   [  ]  = 2: )     ;; R099: vor einem Konsonant !! skip R100
 (   [  ] # = 2: )     ;; R096: oe am Wortende   
 (   [   h ] = 2: )     ;; oeh
 (   [   ] = 2: )     ;; oeh
 (   [  h ] = 2: )     ;; oeh
 (   [  ] Cx RL = 9 )  ;; R097: oe vor einer Buchstabenfolge 
 (   [  ] p h RL = 9 )  
 (   [  ] t h RL = 9 )  
 (   [  ] q u = 9 )  
 (   [  ] C C + = 9 )  ;; R098: vor mehreren Konsonanten     
 (   [  ]  = 2: )     ;; R099: vor einem Konsonant !! skip R100
 (   [ o e ] # = 2: )     ;; R096: oe am Wortende   
 (   [ o e o e h ] = 2: )    
 (   [ o e o e ] = 2: )    
 (   [ o e h ] = 2: )     ;; oeh
 (   [ o e ] Cx RL = 9 )  ;; R097: oe vor einer Buchstabenfolge 
 (   [ o e ] p h RL = 9 )  
 (   [ o e ] t h RL = 9 )  
 (   [ o e ] q u = 9 )  
 (   [ o e ] C C + = 9 )  ;; R098: vor mehreren Konsonanten     
 (   [ o e ] = 2: )     ;; R099: vor einem Konsonant !! skip R100
 ( # C * [ o ] # = o: )       ;; R105: o am Wortende (1 Silbe)
 (   [ o ] # = o: )       ;;  ;; R105: o am Wortende  (mehr Silben)
 (   [ o o h ] = o: ) 
 (   [ o o ] = o: )       ;; R102: oo, oh oder ooh   
 (   [ o h ] C = o: ) 
 (   [ o ] V = o: )       ;; R104: o vor Vokal ausser Diphtong
 (   [ o ] Cx RL = O )    ;; R106: o vor einer Buchstabenfolge 
 (   [ o ] p h RL = O )   
 (   [ o ] t h RL = O )  
 (   [ o ] q u = O )  
 (   [ o ] C C + = O )    ;; R107: o vor mehreren Konsonanten  
 (   [ o ] = o: )       ;; R103: o vor einem Konsonant
 ( V [ p p ] V = p )      ;; R108: Vokal pp Vokal     
 (   [ p f ] V = pf )    ;; R109: Vokal pf Vokal 
 (   [ p h ] = f )        ;; R111: ph, pph    
 (   [ p p h ] = f ) 
 (   [ p p ] = p )        ;; R110: p oder pp  
 (   [ p ] = p )          
 (   [ q u ] = k v )      ;; R112: qu     
 (   [ q ] = k )          ;; q als k
 (   [ r h ] = R )        ;; R115: rh, rrh  
 (   [ r r h ] = R ) 
 (   [ r r ] = R )        ;; R114: r oder rr
 (   [ r ] # = 6 )        ;;
 (   [ r ] = R )          ;;
 ( # d  [ s c h ] = Z ) 
 (   [ s c h ] = S )      ;; R118-120: sch 
 ( # [ s ] V = z )        ;; R116/117: stimmhaftes s am Wortanfang 
 ( # [ s ] p h = s )   
 ( # [ s ] p = S )        ;; R123/124: sp oder st am Wortanfang    
 ( # [ s ] t = S )
 ( # [ s ] Cy = s )       ;; R121/122: am Wortanfang 
 (   [ s ] # = s )        ;; R127: s am Wortende    
 (   [ s ] h a f t = s )  ;; R126: vor den Suffixen
 (   [ s ] h e i t = s )       
 (   [ s ] s c h a f t = s )   
 (   [  ] = s )          ;; R128/129: ss /  stimmloses s  
 (   [ s s ] = s )        ;; R128/129: ss /  stimmloses s  
 (   [ s ] Cz = s )       ;; R125: im Wortinneren 
 (   [ s ] = z )          ;; R130: sonstige s
 (   [ t s c h ] = tS )  ;; R137: tsch  !! skip R136   
 (   [ t t h ] = t ) 
 (   [ t t ] = t )        ;; R131/132: tt 
 (   [ t h ] = t )        ;; R133: th     
 (   [ t s ] = t s )      ;; R135: ts oder tz    
 (   [ t z ] = t s )
 (   [ t i o n ] = t s j o: n)
 (   [ t ] = t )          ;; R132: t 
 (   [  ] # = y: )       ;; R138: ue am Wortende    
 (   [   h ] = y: )       ;; R139: ueh
 (   [   ] = y: )       ;; R139: ueh
 (   [  h ] = y: )       ;; R139: ueh
 (   [  ] C C + = Y )    ;; R140: vor mehreren Konsonanten 
 (   [  ] = y: )       ;; R141: vor einem Konsonant
 ( # [  ] = y: )         ;; groes  am Wortanfang
 (   [  ] # = y: )       ;; R138: ue am Wortende    
 (   [   h ] = y: )       ;; R139: ueh
 (   [   ] = y: )       ;; R139: ueh
 (   [  h ] = y: )       ;; R139: ueh
 (   [  ] C C + = Y )    ;; R140: vor mehreren Konsonanten 
 (   [  ] = y: )       ;; R141: vor einem Konsonant
 ( # [  ] = y: )         ;; groes  am Wortanfang
 (   [ u e ] # = y: )     ;; R138: ue am Wortende    
 (   [ u e u e h ] = y: )   
 (   [ u e u e ] = y: )   
 (   [ u e h ] = y: )     ;; R139: ueh
 (   [ u e ] C C + = Y )  ;; R140: vor mehreren Konsonanten 
 (   [ u e ] = y: )     ;; R141: vor einem Konsonant
 ( # C * [ u ] # = u: )       ;; R145: am Wortende    
 (   [ u ] # = U )    
 (   [ u u h ] = u: )    
 (   [ u u ] = u: )      
 (   [ u h ] C = u: )       ;; R142: uh      
 (   [ u ] Cx RL = U )    ;; R146: u vor einer Buchstabenfolge 
 (   [ u ] p h RL = U )   
 (   [ u ] t h RL = U )  
 (   [ u ] q u = U )  
 (   [ u ] C C + = U )    ;; R147: vor mehreren Konsonanten
 (   [ u ] = u: )       ;; R143: vor einem Konsonant 
 (   [ v v ] = f )
 (   [ v ] = f )          ;; R148: v oder vv    
 (   [ w ] # = f )        ;; R150: w am Wortende     
 (   [ w ] Cu = f )       ;; R151: w vor stimmlosem Konsonant    
 (   [ w ] s c h = f ) 
 (   [ w ] s t = f ) 
 (   [ w ] s p = f )
 (   [ w ] c h = f )
 (   [ w ] b a r = f )    ;; R152: w vor einem Suffix   
 (   [ w ] c h e n = f )      
 (   [ w ] h a f t = f )      
 (   [ w ] h e i t = f )      
 (   [ w ] l e i n = f )      
 (   [ w ] l i n g = f )      
 (   [ w ] l i n g s  = f )      
 (   [ w ] l o s = f )      
 (   [ w ] n i s = f )      
 (   [ w ] s a l = f )      
 (   [ w ] s a m = f )      
 (   [ w ] s c h a f t = f )      
 (   [ w ] s e l = f )      
 (   [ w ] t u m = f )      
 (   [ w ] w  r t s = f )      
 (   [ w ] w a e r t s = f )      
 (   [ w w ] = v )        ;; R149: sonst 
 (   [ w ] = v )         
 (   [ x ] = k s  )       ;; R153: x     
 (   [ y ] Cx RL = Y )    ;; R157: y vor einer Buchstabenfolge 
 (   [ y ] p h RL = Y )   
 (   [ y ] t h RL = Y )  
 (   [ y ] q u = Y )  
 (   [ y ] C C + = Y )    ;; R158: y vor mehreren Konsonanten    
 (   [ y ] = y: )         ;; sonst
 (   [ z z ] = ts ) 
 (   [ z ] = ts )        ;; R160: z oder zz !!skip R159     
))

(provide 'ims_german_lts)
